# XQuery SOLUTIONS FOR USE CASE R

# (Q1)
# List the item number and description of all bicycles that
# currently have an auction in progress, ordered by item number.

#results depends on the date on which your evaluate this query
<result>
  
    <info>current date is: {date()} </info>
{
  	FOR $i IN document("data\R-items.xml")//item_tuple
	WHERE $i/start_date <= date() 
	  AND $i/end_date >= date() 
	  AND contains($i/description, "Bicycle")
	RETURN
		<item_tuple>
			{ $i/itemno }
			{ $i/description }
		</item_tuple>
	SORTBY (itemno)
  }
</result>

