# (Q13)
# For each user who has placed a bid, give the userid, name, number
# of bids, and average bid, in order by userid.

<result>
   { FOR $uid IN distinct( document("data\R-bids.xml")//userid ),
        $u IN document("data\R-users.xml")//user_tuple[userid = $uid]
    LET $b := document("data\R-bids.xml")//bid_tuple[userid = $uid]
    RETURN
       <bidder>
          {$u/userid}
          {$u/name}
          <bidcount> {count($b)} </bidcount> 
          <avgbid> {avg($b/bid)} </avgbid>
       </bidder> SORTBY (userid) }
</result>


