# (Q2)
# For all bicycles, list the item number, description,
# and highest bid (if any), ordered by item number.

<result>
  {
	FOR $i IN document("data/R-items.xml")//item_tuple
	LET $b := document("data/R-bids.xml")//bid_tuple[itemno = $i/itemno]
	WHERE contains($i/description, "Bicycle")
	RETURN
		<item_tuple>
			{ $i/itemno }
			{ $i/description }
			<high_bid>{ max($b/bid) }</high_bid>
		</item_tuple>
	SORTBY(itemno)
  }
</result>


