# (Q7)
# Find the highest bid ever made for a bicycle or tricycle.

LET $allbikes := document("data/R-items.xml")//item_tuple
                    [ contains(description, "Bicycle")
                      OR contains(description, "Tricycle") ],
     $bikebids := document("data/R-bids.xml")//bid_tuple
                    [ itemno = $allbikes/itemno ]
RETURN
   <high_bid>
      {max($bikebids/bid)}
   </high_bid>


