# (Q6)
# Make a nested list of the section elements in Book1, preserving their
# original attributes and hierarchy. Inside each section element, include
# the title of the section and an element that includes the number of figures
# immediately contained in the section.

DEFINE FUNCTION section_summary(element $s) RETURNS element
   {
     <section>
        {$s/@*}
        {$s/title}
        <figcount> {count($s/figure)} </figcount>
        {FOR $ss IN $s/section
        RETURN section_summary($ss)}
     </section>
   }

<toc>
    {FOR $s IN document("data\tree-data.xml")//section
    RETURN  section_summary($s)}
</toc>



