# (Q10)
# For each item that has received a bid, list the item number, the
# highest bid, and the name of the highest bidder, ordered by item number.

<result>
   { FOR $highbid IN document("data\R-bids.xml")//bid_tuple,
        $user IN document("data\R-users.xml")//user_tuple
    WHERE $user/userid = $highbid/userid
      AND $highbid/bid =
             max(document("data\R-bids.xml")//bid_tuple
                    [itemno = $highbid/itemno]/bid)
    RETURN
      <high_bid>
         {$highbid/itemno}
         {$highbid/bid}
         <bidder> {$user/name/text()} </bidder>
      </high_bid> SORTBY (itemno) }
</result>


