# (Q11)
# List the item number and description of the item(s) that
# received the highest bid ever recorded, and the amount of that bid.

LET $highbid := max(document("data\R-bids.xml")//bid_tuple/bid)
RETURN
<result>
    {FOR $item IN document("data\R-items.xml")//item_tuple,
        $b IN document("data\R-bids.xml")//bid_tuple[itemno = $item/itemno]
    WHERE $b/bid = $highbid
    RETURN
       <expensive_item>
          {$item/itemno}
          {$item/description}
          <high_bid> {$highbid} </high_bid>
       </expensive_item>}
</result>


