
# (Q12)
# List the item number and description of the item(s) that
# received the largest number of bids, and the number of
# bids it (or they) received.

DEFINE FUNCTION bid_summary() RETURNS List
   {
   FOR $i IN distinct( document("data/R-bids.xml")//itemno )
   LET $b := document("data/R-bids.xml")//bid_tuple[itemno = $i]
   RETURN
      <bid_count>
         {$i} 
         <nbids> {count($b)} </nbids>
      </bid_count>
   }

<result>
 {   FOR $item IN document("data/R-items.xml")//item_tuple ,
       $bc   IN bid_summary()[itemno = $item/itemno]
  WHERE $bc/nbids = max(bid_summary()//nbids)
   RETURN
      <popular_item>
        { $item/itemno }
        { $item/description }
         <bid_count> {$bc/nbids/text() }</bid_count>
      </popular_item>
 }
 </result>




