# (Q14)
# List item numbers and average bids for items that have received
# three or more bids, in descending order by average bid.

<result>
    {FOR $i IN distinct( document("data\R-bids.xml")//itemno )
    LET $b := document("data\R-bids.xml")//bid_tuple[itemno = $i]
    WHERE count($b) >= 3
    RETURN
       <popular_item>
          {$i}
          <avgbid> {avg($b/bid)} </avgbid>
       </popular_item> SORTBY (avgbid DESCENDING)}
</result>


