# (Q16)
# List all registered users in order by userid; for each user, include
# the userid, name, and an indication of whether the user is active (has
# at least one bid on record) or inactive (has no bid on record).

<result>
    {FOR $u IN document("data\R-users.xml")//user_tuple
    LET $b := document("data\R-bids.xml")//bid_tuple[userid = $u/userid]
    RETURN
       <user>
          {$u/userid}
          {$u/name}
          {IF (empty($b)) THEN <status>inactive</status>
          ELSE <status>active</status>}
       </user> SORTBY (userid)}
</result>


