# (Q17)
# List the names of users, if any, who have bid on every item.

<frequent_bidder>
  {
	FOR $u IN document("data\R-users.xml")//user_tuple
	WHERE 
	  EVERY $item IN document("data\R-items.xml")//item_tuple SATISFIES 
	    SOME $b IN document("data\R-bids.xml")//bid_tuple SATISFIES 
	      ($item/itemno = $b/itemno AND $u/userid = $b/userid)
	RETURN
		$u/name
  }
</frequent_bidder>


