# (Q18)
# List all users in alphabetic order by name.  For each user,
# include descriptions of all the items (if any) that were bid on
# by that user, in alphabetic order.

<result>{
	FOR $u IN document("data/R-users.xml")//user_tuple
	RETURN
		<user>
			{ $u/name }
			{ distinct(
			FOR $b IN document("data/R-bids.xml")//bid_tuple[userid = $u/userid]
			FOR $i IN document("data/R-items.xml")//item_tuple[itemno = $b/itemno]
			RETURN
				<bid_on_item>{ $i/description/text() }</bid_on_item>
			SORTBY(.)
			) }
		</user>
	SORTBY(name)
}</result>



