# (Q3)
# Find cases where a user with a rating worse (alphabetically, greater)
# than "C" is offering an item with a reserve price of more than 1000.

<result>
    {FOR $u IN document("data/R-users.xml")//user_tuple,
        $i IN document("data/R-items.xml")//item_tuple
    WHERE $u/rating > "C"
      AND $i/reserve_price > 1000
      AND $i/offered_by = $u/userid
    RETURN
       <warning>
          {$u/name }
          {$u/rating}
          {$i/description}
          {$i/reserve_price}
       </warning>}
</result>


