# (Q5)
# For bicycle(s) offered by Tom Jones, list the item number, description, 
# highest bid (if any), and name of the highest bidder, ordered by item number.

<result>{
	LET $users := document("data/R-users.xml")//user_tuple
	RETURN
		FOR $seller IN $users[name = "Tom Jones"]
		FOR $item IN document("data/R-items.xml")//item_tuple[$seller/userid = offered_by AND contains(description, "Bicycle")]
		RETURN
			<jones_bike>
				{ $item/itemno }
				{ $item/description }
				{
					LET $bids := document("data/R-bids.xml")//bid_tuple[itemno = $item/itemno]
					LET $maxbid := max($bids//bid/text())
					LET $bid := $bids[bid = $maxbid]
					LET $r := <r>
						<high_bid>{ $maxbid }</high_bid>
						<bidder>{ $users[$bid/userid = userid]/name }</bidder>
					</r>
					RETURN
						$r/*
				}
			</jones_bike>
}</result>


