# (Q5)
# For bicycle(s) offered by Tom Jones, list the item number, description,
# highest bid (if any), and name of the highest bidder, ordered by item number.



# this version is very inefficient

# compare with R5
<result>
    {FOR $seller  IN document("data/R-users.xml")//user_tuple,
        $buyer   IN document("data/R-users.xml")//user_tuple,
        $item    IN document("data/R-items.xml")//item_tuple,
        $highbid IN document("data/R-bids.xml")//bid_tuple
    WHERE $seller/name = "Tom Jones"
      AND $seller/userid = $item/offered_by
      AND contains($item/description, "Bicycle")
      AND $item/itemno = $highbid/itemno
      AND $highbid/userid = $buyer/userid
      AND $highbid/bid =
            max(document("data/R-bids.xml")//bid_tuple
                             [itemno = $item/itemno]/bid)
    RETURN
       <jones_bike>
          {$item/itemno}
          {$item/description}
          {<high_bid> $highbid/bid </high_bid>}
          {<high_bidder> $buyer/name </high_bidder>}
       </jones_bike> SORTBY (itemno)}
</result>


