# (Q6)
# For each item whose highest bid is more than twice its reserve price,
# list the item number, description, reserve price, and highest bid.

<result>
    {FOR $item IN document("data/R-items.xml")//item_tuple
    LET $b := document("data/R-bids.xml")//bid_tuple
                    [itemno = $item/itemno]
    WHERE 2 * $item/reserve_price <  max($b/bid)
    RETURN
       <successful_item>
          {$item/itemno }
          {$item/description}
          {$item/reserve_price}
          <high_bid> {max($b/bid)} </high_bid>
       </successful_item>}
</result>


