# (Q9)
# List the number of items auctioned each month in 1999
# for which data is available, ordered by month.

<result>
 {  LET $end_dates := document("data/R-items.xml")//item_tuple/end_date
   RETURN
     For $m in distinct(
         FOR $d  IN $end_dates
         Let $m  := month($d)
         Return $m)
      LET $item := document("data/R-items.xml")
             //item_tuple[year(end_date) = 1999 AND month(end_date) = $m]
      RETURN
         <monthly_result>
            <month>{ $m }</month> 
            <item_count> { count($item) }</item_count>
         </monthly_result> SORTBY (month ASCENDING)  }
</result>



