# (Q11)
# From each book, extract the title and either the full content
# of the author elements or the affiliation of the editors.

<bib>
    {FOR $b IN document("data\xmp-data.xml")//book[author]
    RETURN
       <book>
          {$b/title}
          {$b/author}
       </book>}
    {FOR $b IN document("data\xmp-data.xml")//book[editor]
    RETURN
       <reference>
          {$b/title}
          <org> {$b/editor/affiliation/text()} </org>
       </reference>}
</bib>


