# (Q12)
# Find pairs of books that have different titles but the same
# set of authors (possibly in a different order).

<bib>
   { FOR $book1 IN document("data\xmp-data.xml")//book,
        $book2 IN document("data\xmp-data.xml")//book
    WHERE $book1/title/text() > $book2/title/text()
    AND $book1/author = $book2/author
    RETURN
       <book-pair>
          {$book1/title}
          {$book2/title}
       </book-pair>}
</bib>





