# (Q8)
# Find books in which some element has a tag ending in "or" and
# the same element contains (at any level of nesting) the string "Suciu".
# For each such book, return the title and the qualifying element.

FOR $b IN document("data\xmp-data.xml")//book,
     $e IN $b/*[contains(string(.), "Suciu")]
WHERE suffix(tag($e), "or")
RETURN
    <book>
       {$b/title}
       {$e}
    </book>


