define function predicate-range(ListOfDescription $d, charstring  $predicate-name)
	RETURNS charstring
{
	$d[@rdf:about=$predicate-name and rdf:type="rdf:Property"]/rdfs:range/text()
}

define function predicate-domain(ListOfDescription $d, charstring $predicate-name)
	RETURNS rdfs:charstring
{
	$d[@rdf:about=$predicate-name and rdf:type="rdf:Property"]/rdfs:domain/text()
}

# LET $t := document("data/sirpac-culture-merged.rdf")//description
# RETURN (predicate-range($t, "c:creates"), " ", predicate-domain($t, 
# "c:creates") )

LET $tt := document("data/sirpac-culture-merged.rdf")//description
RETURN predicate-range($t, "c:creates") ,   predicate-domain($tr, "c:creates")


